Types (Java SE 14 & JDK 14)
Description: declaration: module: java.sql, package: java.sql, class: Types
Keywords: java.sql.Types class

Module java.sql
Package java.sql

# Class Types

java.lang.Object
java.sql.Types

    public class Types
    extends Object

The class that defines the constants that are used to identify generic SQL types, called JDBC types.

This class is never instantiated.

Since:
  1.1

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `ARRAY` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `ARRAY`.
  `static int` | `BIGINT` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BIGINT`.
  `static int` | `BINARY` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BINARY`.
  `static int` | `BIT` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BIT`.
  `static int` | `BLOB` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BLOB`.
  `static int` | `BOOLEAN` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BOOLEAN`.
  `static int` | `CHAR` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `CHAR`.
  `static int` | `CLOB` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `CLOB`.
  `static int` | `DATALINK` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DATALINK`.
  `static int` | `DATE` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DATE`.
  `static int` | `DECIMAL` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DECIMAL`.
  `static int` | `DISTINCT` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DISTINCT`.
  `static int` | `DOUBLE` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DOUBLE`.
  `static int` | `FLOAT` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `FLOAT`.
  `static int` | `INTEGER` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `INTEGER`.
  `static int` | `JAVA_OBJECT` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `JAVA_OBJECT`.
  `static int` | `LONGNVARCHAR` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `LONGNVARCHAR`.
  `static int` | `LONGVARBINARY` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `LONGVARBINARY`.
  `static int` | `LONGVARCHAR` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `LONGVARCHAR`.
  `static int` | `NCHAR` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `NCHAR`
  `static int` | `NCLOB` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `NCLOB`.
  `static int` | `NULL` | The constant in the Java programming language that identifies the generic SQL value `NULL`.
  `static int` | `NUMERIC` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `NUMERIC`.
  `static int` | `NVARCHAR` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `NVARCHAR`.
  `static int` | `OTHER` | The constant in the Java programming language that indicates that the SQL type is database-specific and gets mapped to a Java object that can be accessed via the methods `getObject` and `setObject`.
  `static int` | `REAL` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `REAL`.
  `static int` | `REF` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `REF`.
  `static int` | `REF_CURSOR` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `REF CURSOR`.
  `static int` | `ROWID` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `ROWID`
  `static int` | `SMALLINT` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `SMALLINT`.
  `static int` | `SQLXML` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `XML`.
  `static int` | `STRUCT` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `STRUCT`.
  `static int` | `TIME` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TIME`.
  `static int` | `TIME_WITH_TIMEZONE` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TIME WITH TIMEZONE`.
  `static int` | `TIMESTAMP` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TIMESTAMP`.
  `static int` | `TIMESTAMP_WITH_TIMEZONE` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TIMESTAMP WITH TIMEZONE`.
  `static int` | `TINYINT` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TINYINT`.
  `static int` | `VARBINARY` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `VARBINARY`.
  `static int` | `VARCHAR` | The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `VARCHAR`.

- ## Method Summary

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BIT

    public static final int BIT

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BIT`.

    See Also:
      Constant Field Values

  - ### TINYINT

    public static final int TINYINT

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TINYINT`.

    See Also:
      Constant Field Values

  - ### SMALLINT

    public static final int SMALLINT

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `SMALLINT`.

    See Also:
      Constant Field Values

  - ### INTEGER

    public static final int INTEGER

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `INTEGER`.

    See Also:
      Constant Field Values

  - ### BIGINT

    public static final int BIGINT

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BIGINT`.

    See Also:
      Constant Field Values

  - ### FLOAT

    public static final int FLOAT

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `FLOAT`.

    See Also:
      Constant Field Values

  - ### REAL

    public static final int REAL

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `REAL`.

    See Also:
      Constant Field Values

  - ### DOUBLE

    public static final int DOUBLE

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DOUBLE`.

    See Also:
      Constant Field Values

  - ### NUMERIC

    public static final int NUMERIC

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `NUMERIC`.

    See Also:
      Constant Field Values

  - ### DECIMAL

    public static final int DECIMAL

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DECIMAL`.

    See Also:
      Constant Field Values

  - ### CHAR

    public static final int CHAR

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `CHAR`.

    See Also:
      Constant Field Values

  - ### VARCHAR

    public static final int VARCHAR

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `VARCHAR`.

    See Also:
      Constant Field Values

  - ### LONGVARCHAR

    public static final int LONGVARCHAR

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `LONGVARCHAR`.

    See Also:
      Constant Field Values

  - ### DATE

    public static final int DATE

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DATE`.

    See Also:
      Constant Field Values

  - ### TIME

    public static final int TIME

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TIME`.

    See Also:
      Constant Field Values

  - ### TIMESTAMP

    public static final int TIMESTAMP

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TIMESTAMP`.

    See Also:
      Constant Field Values

  - ### BINARY

    public static final int BINARY

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BINARY`.

    See Also:
      Constant Field Values

  - ### VARBINARY

    public static final int VARBINARY

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `VARBINARY`.

    See Also:
      Constant Field Values

  - ### LONGVARBINARY

    public static final int LONGVARBINARY

    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `LONGVARBINARY`.

    See Also:
      Constant Field Values

  - ### NULL

    public static final int NULL

    The constant in the Java programming language that identifies the generic SQL value `NULL`.

    See Also:
      Constant Field Values

  - ### OTHER

    public static final int OTHER
    The constant in the Java programming language that indicates that the SQL type is database-specific and gets mapped to a Java object that can be accessed via the methods `getObject` and `setObject`.
    See Also:
      Constant Field Values

  - ### JAVA_OBJECT

    public static final int JAVA_OBJECT
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `JAVA_OBJECT`.
    Since:
      1.2
    See Also:
      Constant Field Values

  - ### DISTINCT

    public static final int DISTINCT
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DISTINCT`.
    Since:
      1.2
    See Also:
      Constant Field Values

  - ### STRUCT

    public static final int STRUCT
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `STRUCT`.
    Since:
      1.2
    See Also:
      Constant Field Values

  - ### ARRAY

    public static final int ARRAY
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `ARRAY`.
    Since:
      1.2
    See Also:
      Constant Field Values

  - ### BLOB

    public static final int BLOB
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BLOB`.
    Since:
      1.2
    See Also:
      Constant Field Values

  - ### CLOB

    public static final int CLOB
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `CLOB`.
    Since:
      1.2
    See Also:
      Constant Field Values

  - ### REF

    public static final int REF
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `REF`.
    Since:
      1.2
    See Also:
      Constant Field Values

  - ### DATALINK

    public static final int DATALINK
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DATALINK`.
    Since:
      1.4
    See Also:
      Constant Field Values

  - ### BOOLEAN

    public static final int BOOLEAN
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BOOLEAN`.
    Since:
      1.4
    See Also:
      Constant Field Values

  - ### ROWID

    public static final int ROWID
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `ROWID`
    Since:
      1.6
    See Also:
      Constant Field Values

  - ### NCHAR

    public static final int NCHAR
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `NCHAR`
    Since:
      1.6
    See Also:
      Constant Field Values

  - ### NVARCHAR

    public static final int NVARCHAR
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `NVARCHAR`.
    Since:
      1.6
    See Also:
      Constant Field Values

  - ### LONGNVARCHAR

    public static final int LONGNVARCHAR
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `LONGNVARCHAR`.
    Since:
      1.6
    See Also:
      Constant Field Values

  - ### NCLOB

    public static final int NCLOB
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `NCLOB`.
    Since:
      1.6
    See Also:
      Constant Field Values

  - ### SQLXML

    public static final int SQLXML
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `XML`.
    Since:
      1.6
    See Also:
      Constant Field Values

  - ### REF_CURSOR

    public static final int REF_CURSOR
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `REF CURSOR`.
    Since:
      1.8
    See Also:
      Constant Field Values

  - ### TIME_WITH_TIMEZONE

    public static final int TIME_WITH_TIMEZONE
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TIME WITH TIMEZONE`.
    Since:
      1.8
    See Also:
      Constant Field Values

  - ### TIMESTAMP_WITH_TIMEZONE

    public static final int TIMESTAMP_WITH_TIMEZONE
    The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TIMESTAMP WITH TIMEZONE`.
    Since:
      1.8
    See Also:
      Constant Field Values